package pps.core.system.servicehelper;

import pps.cloud.framedata.service.CommonDataService;
import pps.cloud.framedata.service.data.common_data.SelectCommonInput;
import pps.cloud.framedata.service.data.common_data.SelectCommonOutput;
import pps.core.common.utils.NamedServiceProvider;
import pps.core.common.utils.TraceHelper;
import xstartup.base.XContext;

import java.util.LinkedHashMap;
import java.util.List;

/**
 * @author wangtian
 */
public class DataServiceHelper {

    public static final String DISPATCH_SERVICE_NAME = "pps-dispatch";
    public static final String DISPATCH_DB_NAME = "pps_dispatch";
    public static final String MEASURE_SERVICE_NAME = "pps-measure";
    public static final String MEASURE_DB_NAME = "pps_measure";
    public static final String BASE_INFO_SERVICE_NAME="pps-base-info";
    public static final String BASE_INFO_DB_NAME="pps_base_info";
    public static final String BASE_FRAME_SERVICE_NAME="pps-base-frame";
    public static final String BASE_FRAME_DB_NAME="pps_base_frame";
    public static final String ANALYSIS_SERVICE_NAME="pps-analysis";
    public static final String ANALYSIS_DB_NAME="pps_analysis";

    public static List<LinkedHashMap<String, Object>> selectCommon(XContext context,String sql) {
        CommonDataService mapper = context.getBean(CommonDataService.class);
        SelectCommonInput selectCommonInput = new SelectCommonInput();
        selectCommonInput.setCmd(sql);
        selectCommonInput.setTraceId(DISPATCH_DB_NAME);
        SelectCommonOutput result = mapper.selectCommon(context, selectCommonInput).getResult();
        List<LinkedHashMap<String, Object>> resultList = result.getResultList();
        return resultList;
    }

    public static List<LinkedHashMap<String, Object>> selectCommon(XContext context, String serviceName, String dbName, String sql) {
        TraceHelper.appendTraceLog(context, "BeginOfSelectCommon", sql + ", [SERVICENAME]:" + serviceName);
        CommonDataService mapper = NamedServiceProvider.getServiceByName(context, serviceName, CommonDataService.class);
        SelectCommonInput selectCommonInput = new SelectCommonInput();
        selectCommonInput.setCmd(sql);
        selectCommonInput.setTraceId(dbName);
        SelectCommonOutput result = mapper.selectCommon(context, selectCommonInput).getResult();
        if( result != null ){
//            TraceHelper.appendTraceLogWithSpan(context, "EndOfSelectCommon");
        }else{
            TraceHelper.appendTraceLogWithSpan(context, "EndOfSelectCommon","ERROR,服务调用失败，请检查微服务是否运行正常。"+ ", [SERVICENAME]:" + serviceName);
            TraceHelper.appendTraceLogTotalTime(context);
            throw new RuntimeException("执行SQL错误："+sql);
        }
        return result.getResultList();
    }
}
