package pps.core.task.job;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import pps.cloud.mdm.service.MdmService;
import pps.cloud.mdm.service.data.ResultMessage;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.util.XCdHelper;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

@XText("mdm同步任务")
@XService
public class MdmJob implements XJob {

    private static Logger logger = LoggerFactory.getLogger(MdmJob.class);

    @XCronTrigger(value = "0 0 22 * * ?")
    @Override
    public XServiceResult execute(XContext context) {
        logger.info("定时同步mdm数据");

        MdmService service = context.getBean(MdmService.class);
        XServiceResult xServiceResult = service.pullMdmDataTime(context);

        return xServiceResult;
    }

}
