package pps.core.task.job;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import pps.cloud.base.service.BaseSmsSendService;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

/**
 * @Title： [标题] 值班短信定时发送
 * @Description: [功能描述]
 * @author：lyy
 */
@XText("定制短信定时发送")
@XService
public class OndutySmsTimingSendJob implements XJob {

    private static Logger logger = LoggerFactory.getLogger(OndutySmsTimingSendJob.class);

    @Override
    @XCronTrigger(value = "0 0 14 * * ?")
    public XServiceResult execute(XContext xContext) {
        logger.info("值班编制短信发送，每天下午两点发送第二天的值班人员短信");
        BaseSmsSendService baseSmsSendService = xContext.getBean(BaseSmsSendService.class);
        baseSmsSendService.ondutySmsTimingSend(xContext);
        logger.info("值班编制短信发送，每天下午两点发送第二天的值班人员短信");
        return XServiceResult.OK;
    }
}
