package pps.core.task.job;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import pps.cloud.base.service.BaseSmsSendService;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

/**
 * @Title： [标题] 短信定时发送
 * @Description: [功能描述]
 * @author：lyy
 */
@XText("定制短信定时发送")
@XService
public class SmsTimingSendJob implements XJob {

    private static Logger logger = LoggerFactory.getLogger(SmsTimingSendJob.class);

    @Override
    @XCronTrigger(value = "0 * * * * ?")
    public XServiceResult execute(XContext xContext) {
        logger.info("定制短信定时发送每分钟执行一次");
        BaseSmsSendService baseSmsSendService = xContext.getBean(BaseSmsSendService.class);
        baseSmsSendService.smsTimingSend(xContext);
        logger.info("定制短信定时发送执行完成");
        return XServiceResult.OK;
    }
}
