-- pps_interface
-- 日指定失败记录表 ----
CREATE TABLE pps_interface.transfer_rzd_error_records (
	id varchar NOT NULL,
	data_define_id int4 NULL,
	data_date timestamp NULL,
	numeric_value numeric(10, 4) NULL,
	text_value varchar NULL,
	create_time timestamp NULL,
	modify_time timestamp NULL,
	status int1 NULL DEFAULT 0,
	retry_times int4 NULL,
	CONSTRAINT transfer_rzd_error_records_pk PRIMARY KEY (id)
);
COMMENT ON TABLE pps_interface.transfer_rzd_error_records IS '处理日指定数据 错误记录表';

-- Column comments

COMMENT ON COLUMN pps_interface.transfer_rzd_error_records.data_define_id IS '数据定义id';
COMMENT ON COLUMN pps_interface.transfer_rzd_error_records.data_date IS '数据日期';
COMMENT ON COLUMN pps_interface.transfer_rzd_error_records.numeric_value IS '点值（数值）';
COMMENT ON COLUMN pps_interface.transfer_rzd_error_records.text_value IS '点值（文本）';
COMMENT ON COLUMN pps_interface.transfer_rzd_error_records.create_time IS '日指定下发日期';
COMMENT ON COLUMN pps_interface.transfer_rzd_error_records.modify_time IS '日指定变更日期';
COMMENT ON COLUMN pps_interface.transfer_rzd_error_records.status IS '状态（0：失败，1：成功）';
COMMENT ON COLUMN pps_interface.transfer_rzd_error_records.retry_times IS '重试次数';

ALTER TABLE pps_interface.transfer_rzd_error_records ALTER COLUMN retry_times SET DEFAULT 0;
ALTER TABLE pps_interface.transfer_rzd_error_records ADD error_message varchar NULL;
COMMENT ON COLUMN pps_interface.transfer_rzd_error_records.error_message IS '失败原因';
ALTER TABLE pps_interface.transfer_rzd_error_records ADD record_time timestamp NULL;
COMMENT ON COLUMN pps_interface.transfer_rzd_error_records.record_time IS '记录时间';



--增加值班人员功能 start
--pps_measure
create table pps_measure.measure_customer_scheduling (
    id varchar(40) not null,
	pipeline_id	varchar(40)	null,
	pipeline_name	varchar(100)	null,
	station_id	varchar(40)	null,
	station_name	varchar(100)	null,
	customer_id	varchar(40)	null,
	customer_name	varchar(100)	null,
	duty_date smalldatetime NULL,
	duty_month varchar(10) null,
	duty_week int1 null,
	duty_person varchar(100) null,
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time smalldatetime NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time smalldatetime NULL,
	meesure_person varchar(100) NULL,
	audit_person varchar(100) NULL,
	media_type varchar(40) NULL,
	business_type int1 NULL,
    CONSTRAINT _measure_customer_scheduling_pkey PRIMARY KEY (id)
);
comment on table pps_measure.measure_customer_scheduling is '客户值班';
comment on column pps_measure.measure_customer_scheduling.id is '主键';
comment on column pps_measure.measure_customer_scheduling.pipeline_id	is '管线id';
comment on column pps_measure.measure_customer_scheduling.pipeline_name	is '管线名称';
comment on column pps_measure.measure_customer_scheduling.station_id	is '场站id';
comment on column pps_measure.measure_customer_scheduling.station_name	is '场站名称';
comment on column pps_measure.measure_customer_scheduling.customer_id	is '客户id';
comment on column pps_measure.measure_customer_scheduling.customer_name	is '客户名称';
comment on column pps_measure.measure_customer_scheduling.duty_date is '值班日期';
comment on column pps_measure.measure_customer_scheduling.duty_month is '值班月';
comment on column pps_measure.measure_customer_scheduling.duty_week is '值班周';
comment on column pps_measure.measure_customer_scheduling.duty_person is '值班人';
comment on column pps_measure.measure_customer_scheduling.create_by_id is '创建人id';
comment on column pps_measure.measure_customer_scheduling.create_by_name is '创建人';
comment on column pps_measure.measure_customer_scheduling.create_time is '创建时间';
comment on column pps_measure.measure_customer_scheduling.modify_by_id is '修改人id';
comment on column pps_measure.measure_customer_scheduling.modify_by_name is '修改人';
comment on column pps_measure.measure_customer_scheduling.modify_time is '修改时间';
COMMENT ON COLUMN pps_measure.measure_customer_scheduling.meesure_person IS '计量人员';
COMMENT ON COLUMN pps_measure.measure_customer_scheduling.audit_person IS '审批人员';
COMMENT ON COLUMN pps_measure.measure_customer_scheduling.media_type IS '介质类型';
COMMENT ON COLUMN pps_measure.measure_customer_scheduling.business_type IS '类型（1 客户 2 托运商）';
--增加值班人员功能 end
