CREATE TABLE pps_dispatch.disp_pum_reje_account (
    id varchar(32) NOT NULL,
    m_ou_id varchar(100) NULL,
    m_ou_name varchar(100) NULL,
    pipeline_id varchar(40) NULL,
    pipeline_name varchar(40) NULL,
    oil_id varchar(40) NULL,
    oil_name varchar(40) NULL,
    station_id varchar(40) NULL,
    station_name varchar(40) NULL,
    pump_number varchar(500) NULL,
    warehousing_time smalldatetime NULL,
    cause_problem varchar(500) NULL,
    handle_process varchar(500) NULL,
    remarks varchar(500) NULL,
    is_deleted int4 NULL,
    create_by_id varchar(40) NULL,
    create_by_name varchar(50) NULL,
    create_time smalldatetime NULL,
    modify_by_id varchar(40) NULL,
    modify_by_name varchar(50) NULL,
    modify_time smalldatetime NULL,
    data_date date NULL
);
CREATE INDEX disp_pum_reje_account_id_idx ON pps_dispatch.disp_pum_reje_account (id);
COMMENT ON TABLE pps_dispatch.disp_pum_reje_account IS '调控运行台账甩泵台账(原油成品油)';

-- Column comments

COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.id IS '主键id';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.m_ou_id IS '填报单位id';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.m_ou_name IS '填报单位名称';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.pipeline_id IS '管道id';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.pipeline_name IS '管道名称';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.oil_id IS '油品id';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.oil_name IS '油品名称';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.station_id IS '站场id';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.station_name IS '场站名称';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.pump_number IS '泵编号';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.warehousing_time IS '时间';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.cause_problem IS '甩泵原因';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.handle_process IS '处置过程';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.remarks IS '备注';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.is_deleted IS '是否逻辑删除(0是已删除)(1是正常)
';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.create_by_id IS '创建人id';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.create_time IS '创建时间';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.modify_by_id IS '修改人id';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.modify_time IS '修改时间';
COMMENT ON COLUMN pps_dispatch.disp_pum_reje_account.data_date IS '数据填报日期';
