-- pps_base_info
-- 增加基础数据同步配置表 start ----
CREATE TABLE pps_base_info.sys_base_info_sysnc_config (
	id varchar(40) NOT NULL,
	table_name varchar NOT NULL,
	target_db varchar NOT NULL,
	create_time_field varchar NULL DEFAULT 'create_time',
	modify_time_field varchar NULL DEFAULT 'modify_time',
	is_enable int4 NULL DEFAULT 1,
	remark varchar null,
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time timestamp(3) NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp(3) null,
	last_update_time timestamp NULL,
	CONSTRAINT sys_base_info_sysnc_config_pkey PRIMARY KEY (id)
);
COMMENT ON TABLE pps_base_info.sys_base_info_sysnc_config IS '基础数据同步到其他库的配置表';

-- Column comments

COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.id IS '主键';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.table_name IS '基础表表名';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.target_db IS '目标库';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.create_time_field IS '创建时间字段';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.modify_time_field IS '修改时间字段';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.is_enable IS '是否启用(0:否，1：是)';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.modify_time IS '修改时间';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.remark IS '备注';
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.last_update_time IS '最后更新时间';
-- 增加基础数据同步配置表 end ----


ALTER TABLE pps_base_info.sys_base_info_sysnc_config ADD is_full_sync int4 NULL DEFAULT 0;
COMMENT ON COLUMN pps_base_info.sys_base_info_sysnc_config.is_full_sync IS '是否全量同步（0否，1：是）- 请慎重操作，大表不建议打开';
