-- 投产管理气头表加排序缓急字段
-- pps_into_production.pro_gas_head_manage_outside definition

-- Drop table

-- DROP TABLE pps_into_production.pro_gas_head_manage_outside;

CREATE TABLE pps_into_production.pro_gas_head_manage_outside (
                                                                 id varchar(40) NOT NULL, -- 主键id唯一
                                                                 m_ou_id varchar(100) NULL, -- 组织机构id
                                                                 m_ou_name varchar(100) NULL, -- 组织机构名称
                                                                 pipeline_id varchar(40) NULL, -- 管线id
                                                                 pipeline_name varchar(300) NULL, -- 管线名称
                                                                 station_id varchar(40) NULL, -- 场站id
                                                                 station_name varchar(300) NULL, -- 场站名称
                                                                 km_id varchar(50) NULL, -- 里程id
                                                                 proinfo_id varchar(50) NULL, -- 投产基本信息id
                                                                 nitrogen_exchange_distance numeric(15, 5) NULL, -- 氮气置换距离(km)
                                                                 nitrogen_air_mixing_head_actual_time smalldatetime NULL, -- 氮气空气混气头(实际时间)
                                                                 nitrogen_air_mixing_head_forecast_time smalldatetime NULL, -- 氮气空气混气头(预测时间)
                                                                 pure_nitrogen_actual_time smalldatetime NULL, -- 纯氮气(实际时间)
                                                                 pure_nitrogen_forecast_time smalldatetime NULL, -- 纯氮气(预测时间)
                                                                 nitrogen_air_mixing_head_stage_time_consuming numeric(15, 5) NULL, -- 氮气空气混气头阶段用时(小时h)
                                                                 nitrogen_air_mixing_head_assemble_time_consuming numeric(15, 5) NULL, -- 氮气空气混气头总用时(小时h)
                                                                 nitrogen_air_mixing_head_interval_speed numeric(15, 5) NULL, -- 氮气空气混气头区间速度m/s
                                                                 nitrogen_air_mixing_head_average_velocity numeric(15, 5) NULL, -- 氮气空气混气头平均速度m/s
                                                                 pure_nitrogen_stage_time_consuming numeric(15, 5) NULL, -- 纯氮气头阶段用时(小时h)
                                                                 pure_nitrogen_assemble_time_consuming numeric(15, 5) NULL, -- 纯氮气头总用时(小时h)
                                                                 pure_nitrogen_interval_speed numeric(15, 5) NULL, -- 纯氮气头区间速度m/s
                                                                 pure_nitrogen_average_velocity numeric(15, 5) NULL, -- 纯氮气头平均速度m/s
                                                                 pressure_after_venting numeric(15, 5) NULL, -- 天然气置换距离(km)
                                                                 natural_nitrogen_mixing_head_actual_time smalldatetime NULL, -- 天然氮气混气头(实际时间)
                                                                 natural_nitrogen_mixing_head_forecast_time smalldatetime NULL, -- 天然气氮气混气头(预测时间)
                                                                 pure_natural_gas_actual_time smalldatetime NULL, -- 纯天然气(实际时间)
                                                                 pure_natural_gas_forecast_time smalldatetime NULL, -- 纯天然气(预测时间)
                                                                 natural_gas_nitrogen_mixing_head_interval_time numeric(15, 5) NULL, -- 天然气氮气混气头区间用时(小时h)
                                                                 natural_gas_nitrogen_mixing_head_assemble_time numeric(15, 5) NULL, -- 天然气氮气混气头总用时(小时h)
                                                                 natural_gas_nitrogen_mixing_head_interval_speed numeric(15, 5) NULL, -- 天然气氮气混气头区间速度(m/s)
                                                                 natural_gas_nitrogen_mixing_head_average_velocity numeric(15, 5) NULL, -- 天然气氮气混气头平均速度(m/s)
                                                                 pure_natural_gas_head_interval_time numeric(15, 5) NULL, -- 纯天然气头站间用时(小时h)
                                                                 pure_natural_gas_head_assemble_time numeric(15, 5) NULL, -- 纯天然气头总用时(小时h)
                                                                 pure_natural_gas_head_interval_velocity numeric(15, 5) NULL, -- 纯天然气头站间速度(m/s)
                                                                 pure_natural_gas_head_average_velocity numeric(15, 5) NULL, -- 纯天然气头平均速度(m/s)
                                                                 order_number int4 NULL, -- 序号(用来排序)
                                                                 is_deleted int4 NULL, -- 是否逻辑删除(0是已删除)(1是正常)¶
                                                                 create_by_id varchar(40) NULL, -- 创建人
                                                                 create_by_name varchar(50) NULL, -- 创建人名称
                                                                 create_time smalldatetime NULL, -- 创建时间
                                                                 modify_by_id varchar(40) NULL, -- 修改人
                                                                 modify_by_name varchar(50) NULL, -- 修改人名称
                                                                 modify_time smalldatetime NULL, -- 修改时间
                                                                 data_date date NULL, -- 数据填报时间
                                                                 sealing_pressure numeric(15, 5) NULL, -- 封存压力
                                                                 nitrogen_injection numeric(15, 5) NULL, -- 注氮量T
                                                                 remaining_mileage numeric(15, 5) NULL, -- 剩余里程km
                                                                 estimated_time_remaining numeric(15, 5) NULL, -- 预估剩余时间h/小时
                                                                 pressure_drop_rate_test_results int4 NULL, -- 压降速率测试结果1是ok,0是失败
                                                                 pressure_drop_rate_test_problem varchar(500) NULL, -- 压降速率测试问题
                                                                 low_voltage_shutdown_test_results int4 NULL, -- 低压关断测试结果1是ok,0是失败
                                                                 low_voltage_shutdown_problem varchar(500) NULL, -- 低压关断测试问题
                                                                 esd_test_results int4 NULL, -- ESD测试结果1是ok,0是失败
                                                                 esd_test_problem varchar(500) NULL, -- ESD测试问题
                                                                 tested_by varchar(50) NULL, -- 测试人
                                                                 test_time smalldatetime NULL, -- 测试时间
                                                                 CONSTRAINT pro_gas_head_manage_outside_pk PRIMARY KEY (id)
)
    WITH (
        orientation=row,
        compression=no
        );
COMMENT ON TABLE pps_into_production.pro_gas_head_manage_outside IS '投产气头管理表';

-- Column comments

COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.id IS '主键id唯一';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.m_ou_id IS '组织机构id';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.m_ou_name IS '组织机构名称';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.station_id IS '场站id';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.station_name IS '场站名称';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.km_id IS '里程id';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.proinfo_id IS '投产基本信息id';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.nitrogen_exchange_distance IS '氮气置换距离(km)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.nitrogen_air_mixing_head_actual_time IS '氮气空气混气头(实际时间) ';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.nitrogen_air_mixing_head_forecast_time IS '氮气空气混气头(预测时间)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_nitrogen_actual_time IS '纯氮气(实际时间)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_nitrogen_forecast_time IS '纯氮气(预测时间)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.nitrogen_air_mixing_head_stage_time_consuming IS '氮气空气混气头阶段用时(小时h)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.nitrogen_air_mixing_head_assemble_time_consuming IS '氮气空气混气头总用时(小时h)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.nitrogen_air_mixing_head_interval_speed IS '氮气空气混气头区间速度m/s';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.nitrogen_air_mixing_head_average_velocity IS '氮气空气混气头平均速度m/s';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_nitrogen_stage_time_consuming IS '纯氮气头阶段用时(小时h)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_nitrogen_assemble_time_consuming IS '纯氮气头总用时(小时h)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_nitrogen_interval_speed IS '纯氮气头区间速度m/s';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_nitrogen_average_velocity IS '纯氮气头平均速度m/s';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pressure_after_venting IS '天然气置换距离(km)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.natural_nitrogen_mixing_head_actual_time IS '天然氮气混气头(实际时间)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.natural_nitrogen_mixing_head_forecast_time IS '天然气氮气混气头(预测时间)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_natural_gas_actual_time IS '纯天然气(实际时间)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_natural_gas_forecast_time IS '纯天然气(预测时间)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.natural_gas_nitrogen_mixing_head_interval_time IS '天然气氮气混气头区间用时(小时h)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.natural_gas_nitrogen_mixing_head_assemble_time IS '天然气氮气混气头总用时(小时h)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.natural_gas_nitrogen_mixing_head_interval_speed IS '天然气氮气混气头区间速度(m/s)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.natural_gas_nitrogen_mixing_head_average_velocity IS '天然气氮气混气头平均速度(m/s)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_natural_gas_head_interval_time IS '纯天然气头站间用时(小时h)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_natural_gas_head_assemble_time IS '纯天然气头总用时(小时h)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_natural_gas_head_interval_velocity IS '纯天然气头站间速度(m/s)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pure_natural_gas_head_average_velocity IS '纯天然气头平均速度(m/s)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.order_number IS '序号(用来排序)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.is_deleted IS '是否逻辑删除(0是已删除)(1是正常)';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.create_by_id IS '创建人';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.create_time IS '创建时间';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.modify_time IS '修改时间';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.data_date IS '数据填报时间';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.sealing_pressure IS '封存压力';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.nitrogen_injection IS '注氮量T';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.remaining_mileage IS '剩余里程km';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.estimated_time_remaining IS '预估剩余时间h/小时';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pressure_drop_rate_test_results IS '压降速率测试结果1是ok,0是失败';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.pressure_drop_rate_test_problem IS '压降速率测试问题';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.low_voltage_shutdown_test_results IS '低压关断测试结果1是ok,0是失败';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.low_voltage_shutdown_problem IS '低压关断测试问题';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.esd_test_results IS 'ESD测试结果1是ok,0是失败';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.esd_test_problem IS 'ESD测试问题';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.tested_by IS '测试人';
COMMENT ON COLUMN pps_into_production.pro_gas_head_manage_outside.test_time IS '测试时间';




-- 投产调压表
-- pps_into_production.pro_voltage_regulation_record_sheet definition

-- Drop table

-- DROP TABLE pps_into_production.pro_voltage_regulation_record_sheet;

CREATE TABLE pps_into_production.pro_voltage_regulation_record_sheet (
                                                                         id varchar(40) NOT NULL, -- 主键id
                                                                         m_ou_id varchar(100) NULL, -- 填报单位id
                                                                         m_ou_name varchar(100) NULL, -- 填报单位名称
                                                                         pipeline_id varchar(40) NULL, -- 管线id
                                                                         pipeline_name varchar(300) NULL, -- 管线名称
                                                                         station_id varchar(40) NULL, -- 场站id
                                                                         station_name varchar(50) NULL, -- 场站名称
                                                                         km_id varchar(50) NULL, -- 里程数据id
                                                                         proinfo_id varchar(50) NULL, -- 投产基本信息id
                                                                         temperature numeric(15, 5) NULL, -- 温度
                                                                         valve_opening numeric(15, 5) NULL, -- 阀开度
                                                                         pressure_regulating_one varchar(500) NULL, -- 一级调压
                                                                         pressure_regulating_tow varchar(500) NULL, -- 二级调压
                                                                         create_by_id varchar(40) NULL, -- 创建人
                                                                         create_by_name varchar(50) NULL, -- 创建人名称
                                                                         create_time smalldatetime NULL, -- 创建时间
                                                                         modify_by_id varchar(40) NULL, -- 修改人
                                                                         modify_by_name varchar(50) NULL, -- 修改人名称
                                                                         modify_time smalldatetime NULL, -- 修改时间
                                                                         data_date date NULL, -- 数据填报时间
                                                                         order_number int4 NULL, -- 序号(用来排序)
                                                                         is_deleted int4 NULL, -- 是否删除(0是已删除,1是正常)
                                                                         CONSTRAINT pro_voltage_regulation_record_sheet_pk PRIMARY KEY (id)
)
    WITH (
        orientation=row,
        compression=no
        );
COMMENT ON TABLE pps_into_production.pro_voltage_regulation_record_sheet IS '调压记录表';

-- Column comments

COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.id IS '主键id';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.m_ou_id IS '填报单位id';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.m_ou_name IS '填报单位名称';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.station_id IS '场站id';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.station_name IS '场站名称';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.km_id IS '里程数据id';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.proinfo_id IS '投产基本信息id';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.temperature IS '温度';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.valve_opening IS '阀开度';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.pressure_regulating_one IS '一级调压';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.pressure_regulating_tow IS '二级调压';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.create_by_id IS '创建人';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.create_time IS '创建时间';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.modify_time IS '修改时间';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.data_date IS '数据填报时间';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.order_number IS '序号(用来排序)';
COMMENT ON COLUMN pps_into_production.pro_voltage_regulation_record_sheet.is_deleted IS '是否删除(0是已删除,1是正常)';



-- 升压记录表


-- pps_into_production.pro_pressure_rise_record_sheet definition

-- Drop table

-- DROP TABLE pps_into_production.pro_pressure_rise_record_sheet;

CREATE TABLE pps_into_production.pro_pressure_rise_record_sheet (
                                                                    id varchar(40) NOT NULL, -- 主键id
                                                                    m_ou_id varchar(100) NULL, -- 填报单位id
                                                                    m_ou_name varchar(100) NULL, -- 填报单位名称
                                                                    pipeline_id varchar(40) NULL, -- 管线id
                                                                    pipeline_name varchar(300) NULL, -- 管线名称
                                                                    station_id varchar(40) NULL, -- 场站id
                                                                    station_name varchar(50) NULL, -- 场站名称
                                                                    km_id varchar(50) NULL, -- 里程数据id
                                                                    proinfo_id varchar(50) NULL, -- 投产基本信息id
                                                                    inbound_pressure numeric(15, 5) NULL, -- 进站压力
                                                                    exit_pressure numeric(15, 5) NULL, -- 出站压力
                                                                    step_up_step numeric(15, 5) NULL, -- * 升压台阶(MPa)
                                                                    boost_rate numeric(15, 5) NULL, -- * 升压速率（Mpa/h）
                                                                    stage_air_intake numeric(15, 5) NULL, -- * 阶段进气量（104Nm3、h）
                                                                    create_by_id varchar(40) NULL, -- 创建人
                                                                    create_by_name varchar(50) NULL, -- 创建人名称
                                                                    create_time smalldatetime NULL, -- 创建时间
                                                                    modify_by_id varchar(40) NULL, -- 修改人
                                                                    modify_by_name varchar(50) NULL, -- 修改人名称
                                                                    modify_time smalldatetime NULL, -- 修改时间
                                                                    data_date date NULL, -- 数据填报时间
                                                                    order_number int4 NULL, -- 序号(用来排序)
                                                                    is_deleted int4 NULL, -- 是否删除(0是已删除,1是正常)
                                                                    CONSTRAINT pro_pressure_rise_record_sheet_pk PRIMARY KEY (id)
)
    WITH (
        orientation=row,
        compression=no
        );
COMMENT ON TABLE pps_into_production.pro_pressure_rise_record_sheet IS '升压记录表';

-- Column comments

COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.id IS '主键id';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.m_ou_id IS '填报单位id';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.m_ou_name IS '填报单位名称';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.station_id IS '场站id';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.station_name IS '场站名称';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.km_id IS '里程数据id';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.proinfo_id IS '投产基本信息id';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.inbound_pressure IS '进站压力';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.exit_pressure IS '出站压力';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.step_up_step IS '* 升压台阶(MPa)';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.boost_rate IS '* 升压速率（Mpa/h）';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.stage_air_intake IS '* 阶段进气量（104Nm3、h）';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.create_by_id IS '创建人';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.create_time IS '创建时间';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.modify_time IS '修改时间';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.data_date IS '数据填报时间';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.order_number IS '序号(用来排序)';
COMMENT ON COLUMN pps_into_production.pro_pressure_rise_record_sheet.is_deleted IS '是否删除(0是已删除,1是正常)';



--pps_dispatch start
--lng装车日报详情增加lng日指定id
ALTER TABLE pps_dispatch.disp_lng_loading_record_details ADD day_det_id varchar(40) NULL;
COMMENT ON COLUMN pps_dispatch.disp_lng_loading_record_details.day_det_id IS 'lng日指定id';
--pps_dispatch end
