
-- 新增用户的账户信息表
CREATE TABLE pps_base_info.operation_maintenance_user_information (
                                                                      id varchar(50) NOT NULL,
                                                                      account_number_id varchar(50) NULL,
                                                                      m_ou_id varchar(100) NULL,
                                                                      m_ou_name varchar(100) NULL,
                                                                      pipeline_id varchar(40) NULL,
                                                                      pipeline_name varchar(300) NULL,
                                                                      login_account varchar(150) NULL,
                                                                      login_account_iam varchar(150) NULL,
                                                                      station_id varchar(40) NULL,
                                                                      station_name varchar(50) NULL,
                                                                      employee_number varchar(50) NULL,
                                                                      user_name varchar(100) NULL,
                                                                      user_password varchar(100) NULL,
                                                                      is_deleted int4 NULL,
                                                                      intranet int4 NULL,
                                                                      external_network int4 NULL,
                                                                      duties_id varchar(50) NULL,
                                                                      duties_name varchar(100) NULL,
                                                                      zip_code varchar(50) NULL,
                                                                      mobile_phone varchar(50) NULL,
                                                                      mailbox varchar(50) NULL,
                                                                      mail_address varchar(500) NULL,
                                                                      alternate_fields_one varchar(50) NULL,
                                                                      alternate_fields_tow varchar(50) NULL,
                                                                      create_by_id varchar(40) NULL,
                                                                      create_by_name varchar(50) NULL,
                                                                      create_time smalldatetime NULL,
                                                                      modify_by_id varchar(40) NULL,
                                                                      modify_by_name varchar(50) NULL,
                                                                      modify_time smalldatetime NULL,
                                                                      data_date date NULL
);
COMMENT ON TABLE pps_base_info.operation_maintenance_user_information IS '(运维管理)用户信息申请记录表';

-- Column comments

COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.id IS 'uuid';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.account_number_id IS '新增账号申请(关联id)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.m_ou_id IS '组织机构id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.m_ou_name IS '组织机构名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.login_account IS '登录账号';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.login_account_iam IS 'Iam登录账号';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.station_id IS '场站id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.station_name IS '场站名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.employee_number IS '员工编号';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.user_name IS '用户姓名';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.user_password IS '登录密码';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.is_deleted IS '是否删除(0是已删除,1是正常)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.intranet IS '是否内网(0是否,1是正常)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.external_network IS '是否外网(0是否,1是正常)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.duties_id IS '职务id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.duties_name IS '职务名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.zip_code IS '邮编';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.mobile_phone IS '手机号';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.mailbox IS '用户邮箱';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.mail_address IS '通讯地址';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.alternate_fields_one IS '备用字段1';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.alternate_fields_tow IS '备用字段2';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.modify_time IS '修改时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_user_information.data_date IS '数据填报时间';


-- 调整功能申请记录表
CREATE TABLE pps_base_info.operation_maintenance_adjustment_function_request (
                                                                                 id varchar(50) NOT NULL,
                                                                                 m_ou_id varchar(100) NULL,
                                                                                 m_ou_name varchar(100) NULL,
                                                                                 pipeline_id varchar(40) NULL,
                                                                                 pipeline_name varchar(300) NULL,
                                                                                 station_id varchar(40) NULL,
                                                                                 station_name varchar(50) NULL,
                                                                                 applicant_name varchar(100) NULL,
                                                                                 telephone varchar(50) NULL,
                                                                                 function_description varchar(50) NULL,
                                                                                 is_deleted int4 NULL,
                                                                                 data_status int4 NULL,
                                                                                 file_key varchar NULL,
                                                                                 create_by_id varchar(40) NULL,
                                                                                 create_by_name varchar(50) NULL,
                                                                                 create_time smalldatetime NULL,
                                                                                 modify_by_id varchar(40) NULL,
                                                                                 modify_by_name varchar(50) NULL,
                                                                                 modify_time smalldatetime NULL,
                                                                                 data_date date NULL
);
COMMENT ON TABLE pps_base_info.operation_maintenance_adjustment_function_request IS '调整功能申请记录表';

-- Column comments

COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.id IS 'id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.m_ou_id IS '组织机构id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.m_ou_name IS '组织机构名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.station_id IS '场站id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.station_name IS '场站名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.applicant_name IS '申请人姓名';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.telephone IS '联系电话';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.function_description IS '调整原因及功能描述';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.is_deleted IS '是否删除(0是已删除,1是正常)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.data_status IS '是否暂存(0是暂存,1是提交)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.file_key IS '附件id串filekey';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.modify_time IS '修改时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_adjustment_function_request.data_date IS '数据填报时间';



-- 数据修改申请记录表
CREATE TABLE pps_base_info.operation_maintenance_data_modification_application (
                                                                                   id varchar(50) NOT NULL,
                                                                                   m_ou_id varchar(100) NULL,
                                                                                   m_ou_name varchar(100) NULL,
                                                                                   pipeline_id varchar(40) NULL,
                                                                                   pipeline_name varchar(300) NULL,
                                                                                   station_id varchar(40) NULL,
                                                                                   station_name varchar(50) NULL,
                                                                                   applicant_name varchar(50) NULL,
                                                                                   telephone varchar(50) NULL,
                                                                                   form_templates varchar NULL,
                                                                                   reason_modification varchar NULL,
                                                                                   file_key varchar NULL,
                                                                                   activate_permissions varchar NULL,
                                                                                   opening_date smalldatetime NULL,
                                                                                   data_status int4 NULL,
                                                                                   is_deleted int4 NULL,
                                                                                   create_by_id varchar(40) NULL,
                                                                                   create_by_name varchar(50) NULL,
                                                                                   create_time smalldatetime NULL,
                                                                                   modify_by_id varchar(40) NULL,
                                                                                   modify_by_name varchar(50) NULL,
                                                                                   modify_time smalldatetime NULL,
                                                                                   data_date date NULL
);
CREATE INDEX operation_maintenance_data_modification_application_id_idx ON pps_base_info.operation_maintenance_data_modification_application (id);
COMMENT ON TABLE pps_base_info.operation_maintenance_data_modification_application IS '数据修改申请记录表';

-- Column comments

COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.id IS 'Uuid';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.m_ou_id IS '组织机构id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.m_ou_name IS '组织机构名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.pipeline_id IS '管线id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.pipeline_name IS '管线名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.station_id IS '场站id';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.station_name IS '场站名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.applicant_name IS '申请人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.telephone IS '联系电话';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.form_templates IS '表单模版';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.reason_modification IS '修改原因及内容';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.file_key IS '附件ids filekey';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.activate_permissions IS '开通权限';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.opening_date IS '开通日期';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.data_status IS '是否暂存(0是暂存,1是提交)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.is_deleted IS '是否删除(0是已删除,1是正常)';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.modify_time IS '修改时间';
COMMENT ON COLUMN pps_base_info.operation_maintenance_data_modification_application.data_date IS '数据填报时间';



CREATE INDEX operation_maintenance_adjustment_function_request_id_idx ON pps_base_info.operation_maintenance_adjustment_function_request (id);

CREATE INDEX operation_maintenance_user_information_id_idx ON pps_base_info.operation_maintenance_user_information (id);
